Observer
API

GET /maintenances

List maintenances

Parameters

NameInRequiredTypeDescription
limitquerynointeger
cursorquerynostring
statequerynostring
sincequerynostring

Example request

curl -X GET "/api/v1/maintenances" \
  -H "Authorization: Bearer YOUR_API_KEY"

Responses

200: ok

{
  "items": [
    {
      "id": "string",
      "title": "string",
      "type": "Incident",
      "severity": null,
      "state": "draft",
      "published_at": null,
      "resolved_at": null,
      "scheduled_start_at": null,
      "scheduled_end_at": null,
      "actual_start_at": null,
      "actual_end_at": null,
      "canceled_at": null,
      "postmortem_url": null,
      "affected_services": [
        {
          "id": "string",
          "name": "string"
        }
      ],
      "visible_to_customer_ids": [
        "string"
      ],
      "messages": [
        {
          "id": "string",
          "type": "Investigating",
          "description": "string",
          "date": "2026-01-01T00:00:00.000Z"
        }
      ],
      "created_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "next_cursor": null
}

401: missing or invalid bearer token

403: missing required scope

404: not found (or cross-tenant: same response)

429: rate limit exceeded

Was this page helpful?